Erro ao iniciar a Pop!_Shop (Pop!_os)

:wave: Olá pessoal no pop a loja da esse erro quando eu vou abrir

print

já tente

$ sudo rm -rf /var/lib/dpkg/info*

$ sudo apt-get clean
$ sudo apt-get install -f
$ sudo apt-get update
$ sudo apt-get full-upgrade

então como a loja não abria eu tentei atualizar o sistema pelo terminal
porem da erro

erros

erro do sudo apt upgrade

saída do terminal :arrow_down: :arrow_down: :arrow_down:

[email protected]:~$ sudo apt upgrade
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
E: O pacote unity-editor precisa ser reinstalado, mas não foi possível encontrar um arquivo para o mesmo.

E tudo que eu vou fazer com o apt da erro. como eu posso resolver

Olá @David, tudo beleza?

Você adicionou algum PPA no sistema?

:vulcan_salute:

1 curtida

Tenta rodar um sudo apt autoremove para ver se ele encontra algum pacote que não precise mais que esteja associado com o Unity Editor, se for um flatpak use flatpak uninstall --unused

1 curtida

:wave: Tudo beleza.

Não adicionei nenhum ppa no sistema.

saida do terminal

[email protected]:~$ sudo apt autoremove
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
E: O pacote unity-editor precisa ser reinstalado, mas não foi possível encontrar um arquivo para o mesmo.

Digita no terminal whereis unity-editor e, onde ele estiver, dá um sudo rm -rf local_do_arquivo

1 curtida

saida do terminal

[email protected]:~$ whereis unity-editor
unity-editor:

não sei oque fazer com essa resposta do terminal.

Ele não achou o local do editor. Tenta usar Synaptic para remover o pacote por GUI.

  • Instalar o Synaptic: sudo apt install synaptic
1 curtida

Não da para instalar nem remover pacotes. não da para baixar nada com o apt

Tenta com isto então: sudo dpkg --remove --force-remove-reinstreq unity-editor

Se não funcionar, tenta o sudo dpkg --configure -a && sudo apt update

Source: https://www.vivaolinux.com.br/topico/Ubuntu-e-Kubuntu/Problemas-com-gerenciador-de-pacotes

Deu erro

:arrow_down: :arrow_down: :arrow_down: :arrow_down: :arrow_down: :arrow_down:

[email protected]:~$ sudo dpkg --remove --force-remove-reinstreq unity-editor
[sudo] senha para cafezin1: 
Sinto muito, tente novamente.
[sudo] senha para cafezin1: 
dpkg: aviso: a ignorar pedido para remover unity-editor o qual não está instalado
[email protected]:~$ sudo dpkg --configure -a && sudo apt update
Configurando gconf2-common (3.2.6-6ubuntu1) ...
dpkg: erro ao processar o pacote gconf2-common (--configure):
 o subprocesso instalado, do pacote gconf2-common, o script post-installation retornou erro do status de saída 10
dpkg: problemas com dependências impedem a configuração de gconf-service-backend:
 gconf-service-backend depende de gconf2-common (= 3.2.6-6ubuntu1); porém:
  Pacote gconf2-common não está configurado ainda.

dpkg: erro ao processar o pacote gconf-service-backend (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de gconf-service:
 gconf-service depende de gconf-service-backend (= 3.2.6-6ubuntu1); porém:
  Pacote gconf-service-backend não está configurado ainda.

dpkg: erro ao processar o pacote gconf-service (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de libgconf-2-4:amd64:
 libgconf-2-4:amd64 depende de gconf2-common (= 3.2.6-6ubuntu1); porém:
  Pacote gconf2-common não está configurado ainda.

dpkg: erro ao processar o pacote libgconf-2-4:amd64 (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de discord:
 discord depende de libgconf-2-4; porém:
  Pacote libgconf-2-4:amd64 não está configurado ainda.

dpkg: erro ao processar o pacote discord (--configure):
 problemas de dependência - deixando desconfigurado
Erros foram encontrados durante o processamento de:
 gconf2-common
 gconf-service-backend
 gconf-service
 libgconf-2-4:amd64
 discord

Obrigado por tentar me ajudar @JG22 acho você um ótimo usuário do fórum você sempre dá um ótimo suporte para todas as pessoas com problemas. não tinha jeito Tive que formatar o PC :pensive:

1 curtida